PDA

View Full Version : Latest trunk of slimserver fails with compilation error



max.spicer
2005-07-14, 13:33
I'm at R3703 of SlimServer and I can no longer start it. I get the following when I try:

dante:/usr/local/slimserver# /etc/init.d/slimserver start
Starting SlimServer music server: slimserverUse of bare << to mean <<"" is deprecated at /usr/local/SlimServer_v6.0.x/Slim/Buttons/ScreenSaver.pm line 94.
Use of bare << to mean <<"" is deprecated at /usr/local/SlimServer_v6.0.x/Slim/Buttons/ScreenSaver.pm line 97.
syntax error at /usr/local/SlimServer_v6.0.x/Slim/Buttons/ScreenSaver.pm line 100, near "< ."
(Might be a runaway multi-line << string starting on line 97)
syntax error at /usr/local/SlimServer_v6.0.x/Slim/Buttons/ScreenSaver.pm line 111, near "=="
Compilation failed in require at /usr/local/slimserver/slimserver.pl line 211.
BEGIN failed--compilation aborted at /usr/local/slimserver/slimserver.pl line 211.

The last change to ScreenSaver.pm was made by kdf in R3001, but reverting to R3000 doesn't help.

Max

max.spicer
2005-07-14, 13:35
Sorry, ignore that. Subversion has conflicted ScreenSaver.pm with some local mods I had! I'll read the error message next time! :-)

Max